> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter nota fiscal



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /notas/{idNota}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /notas/{idNota}:
    get:
      tags:
        - Notas
      summary: Obter nota fiscal
      operationId: ObterNotaFiscalAction
      parameters:
        - $ref: '#/components/parameters/get_notas_idNota_idNota'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterNotaFiscalModelResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_notas_idNota_idNota:
      name: idNota
      in: path
      description: Identificador da nota fiscal
      required: true
      schema:
        type: integer
  schemas:
    ObterNotaFiscalModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseNotaFiscalModel'
        - properties:
            id:
              type: integer
            finalidade:
              description: |-

                - 1 - Nfe Normal
                - 2 - Nfe Complementar
                - 3 - Nfe Ajuste
                - 4 - Devolucao Retorno
                - 5 - Credito
                - 6 - Debito
                - 7 - Nfe Cupom Referenciado
                - 8 - Devolucao Retorno Sem Nfe
                - 9 - Nfe Chave Acesso Referenciada
              type: string
              enum:
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
              nullable: true
              x-enumDescriptions:
                - 1 - Nfe Normal
                - 2 - Nfe Complementar
                - 3 - Nfe Ajuste
                - 4 - Devolucao Retorno
                - 5 - Credito
                - 6 - Debito
                - 7 - Nfe Cupom Referenciado
                - 8 - Devolucao Retorno Sem Nfe
                - 9 - Nfe Chave Acesso Referenciada
            regimeTributario:
              description: |-

                - 1 - Simples Nacional
                - 2 - Simples Nacional Excesso Receita
                - 3 - Regime Normal
                - 4 - Mei
              type: integer
              enum:
                - 1
                - 2
                - 3
                - 4
              nullable: true
              x-enumDescriptions:
                - 1 - Simples Nacional
                - 2 - Simples Nacional Excesso Receita
                - 3 - Regime Normal
                - 4 - Mei
            dataInclusao:
              type: string
              nullable: true
            baseIcms:
              type: number
              format: float
              nullable: true
            valorIcms:
              type: number
              format: float
              nullable: true
            baseIcmsSt:
              type: number
              format: float
              nullable: true
            valorIcmsSt:
              type: number
              format: float
              nullable: true
            valorServicos:
              type: number
              format: float
              nullable: true
            valorFrete:
              type: number
              format: float
              nullable: true
            valorSeguro:
              type: number
              format: float
              nullable: true
            valorOutras:
              type: number
              format: float
              nullable: true
            valorIpi:
              type: number
              format: float
              nullable: true
            valorIssqn:
              type: number
              format: float
              nullable: true
            valorDesconto:
              type: number
              format: float
              nullable: true
            valorFaturado:
              type: number
              format: float
              nullable: true
            idIntermediador:
              type: integer
              nullable: true
            idNaturezaOperacao:
              type: integer
              nullable: true
            idFormaPagamento:
              type: integer
              nullable: true
            idMeioPagamento:
              type: integer
              nullable: true
            observacoes:
              type: string
              nullable: true
            condicaoPagamento:
              type: string
              nullable: true
            valorNotaComImpostos:
              type: number
              format: float
            valorBaseDiferimento:
              type: number
              format: float
              nullable: true
            percentualICMSPartilhaDestino:
              type: number
              format: float
              nullable: true
            valorTotalICMSFCPDestino:
              type: number
              format: float
              nullable: true
            valorIPIDevolvido:
              type: number
              format: float
              nullable: true
            tipoNotaCredito:
              type: string
              nullable: true
            tipoNotaDebito:
              type: string
              nullable: true
            valorTotalBCIBSCBS:
              type: number
              format: float
              nullable: true
            valorTotalIBSUF:
              type: number
              format: float
              nullable: true
            valorTotalCBS:
              type: number
              format: float
              nullable: true
            itens:
              type: array
              items:
                $ref: '#/components/schemas/NotaFiscalItemModelResponse'
            parcelas:
              type: array
              items:
                $ref: '#/components/schemas/NotaFiscalParcelaModelResponse'
            pagamentosIntegrados:
              type: array
              items:
                $ref: '#/components/schemas/NotaFiscalPagamentoIntegradoModelResponse'
            ecommerce:
              $ref: '#/components/schemas/EcommerceResponseModel'
            marcadores:
              type: array
              items:
                $ref: '#/components/schemas/NotaFiscalMarcadorModelResponse'
              nullable: true
            transportador:
              $ref: '#/components/schemas/NotaFiscalTransportadorModelResponse'
            origem:
              $ref: '#/components/schemas/NotaFiscalOrigemModelResponse'
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    BaseNotaFiscalModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            situacao:
              description: |-

                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
              type: string
              enum:
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
                - 10
              nullable: true
              x-enumDescriptions:
                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
            tipo:
              description: |-

                - E - Entrada
                - S - Saida
              type: string
              enum:
                - E
                - S
              nullable: true
              x-enumDescriptions:
                - E - Entrada
                - S - Saida
            numero:
              type: string
              nullable: true
            serie:
              type: string
              nullable: true
            chaveAcesso:
              type: string
              nullable: true
            dataEmissao:
              type: string
              nullable: true
            dataPrevista:
              type: string
              nullable: true
            cliente:
              $ref: '#/components/schemas/NotaFiscalClienteModel'
            enderecoEntrega:
              $ref: '#/components/schemas/EnderecoEntregaModelResponse'
            valor:
              type: number
              format: float
              nullable: true
            valorProdutos:
              type: number
              format: float
              nullable: true
            valorFrete:
              type: number
              format: float
              nullable: true
            vendedor:
              $ref: '#/components/schemas/VendedorResponseModel'
            idFormaEnvio:
              type: integer
              nullable: true
            idFormaFrete:
              type: integer
              nullable: true
            codigoRastreamento:
              type: string
              nullable: true
            urlRastreamento:
              type: string
              nullable: true
            fretePorConta:
              type: string
              nullable: true
            qtdVolumes:
              type: integer
              nullable: true
            pesoBruto:
              type: number
              format: float
              nullable: true
            pesoLiquido:
              type: number
              format: float
              nullable: true
          type: object
    NotaFiscalItemModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            idItem:
              type: integer
              nullable: true
            idProduto:
              type: integer
              nullable: true
            codigo:
              type: string
              nullable: true
            ncm:
              type: string
              nullable: true
            descricao:
              type: string
              nullable: true
            unidade:
              type: string
              nullable: true
            quantidade:
              type: number
              format: float
              nullable: true
            valorUnitario:
              type: number
              format: float
              nullable: true
            valorTotal:
              type: number
              format: float
              nullable: true
            cfop:
              type: string
              nullable: true
            naturezaOperacao:
              type: string
              nullable: true
          type: object
    NotaFiscalParcelaModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            dias:
              type: integer
              nullable: true
            data:
              type: string
              nullable: true
            valor:
              type: number
              format: float
              nullable: true
            observacoes:
              type: string
              nullable: true
            idFormaPagamento:
              type: string
              nullable: true
            idMeioPagamento:
              type: string
              nullable: true
          type: object
    NotaFiscalPagamentoIntegradoModelResponse:
      title: NotaFiscalPagamentoIntegradoModelResponse
      description: Modelo de dados do pagamento integrado da nota fiscal
      type: object
      allOf:
        - properties:
            valor:
              description: Valor do pagamento
              type: number
              format: float
            tipoPagamento:
              description: Tipo de pagamento
              type: integer
            cnpjIntermediador:
              description: CNPJ do intermediador
              type: string
            codigoAutorizacao:
              description: Código de autorização
              type: string
            codigoBandeira:
              description: Código da bandeira
              type: integer
          type: object
    EcommerceResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
            numeroPedidoEcommerce:
              type: string
              nullable: true
            numeroPedidoCanalVenda:
              type: string
              nullable: true
            canalVenda:
              type: string
              nullable: true
          type: object
    NotaFiscalMarcadorModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            descricao:
              type: string
              nullable: true
            cor:
              type: string
              nullable: true
          type: object
    NotaFiscalTransportadorModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            cpfCnpj:
              type: string
              nullable: true
            ie:
              type: string
              nullable: true
            endereco:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
          type: object
    NotaFiscalOrigemModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: string
              nullable: true
            tipo:
              description: |-

                - pedido_compra - Pedido Compra
                - venda - Venda
                - notafiscal - Nota Fiscal
                - ordemservico - Ordem Servico
                - cobranca - Cobranca
                - devolucao - Devolucao
              type: string
              enum:
                - pedido_compra
                - venda
                - notafiscal
                - ordemservico
                - cobranca
                - devolucao
              nullable: true
              x-enumDescriptions:
                - pedido_compra - Pedido Compra
                - venda - Venda
                - notafiscal - Nota Fiscal
                - ordemservico - Ordem Servico
                - cobranca - Cobranca
                - devolucao - Devolucao
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    NotaFiscalClienteModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    EnderecoEntregaModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/EnderecoModel'
        - properties:
            nomeDestinatario:
              type: string
              nullable: true
            cpfCnpj:
              type: string
              nullable: true
            tipoPessoa:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
          type: object
    VendedorResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````